Loading...
Searching...
No Matches
RokuDevice Struct Reference

Information about a Roku Device. More...

`#include <rokuecp.h>`

## Data Fields

char | name [121]
| Name of the device, up to Roku's 120-character maximum.
char | location [61]
| Location of the device (like "Bedroom") up to Roku's 60-character maximum.
char | url [30]
| ECP URL for the device (like "http://192.168.1.162:8060/") up to 29 characters.
char | model [31]
| Device model, up to 30 characters.
char | serial [14]
| Device serial number, 13 characters.
bool | isTV
| true if the device is a Roku TV
bool | isOn
| true if the device is currently powered on
bool | isLimited
| true if the device's "Control by mobile apps" setting is "Limited"
bool | developerMode
| true if the device has developer mode enabled
bool | hasSearchSupport
| true if the device has search support
bool | hasHeadphoneSupport
| true if the device supports Private Listening
bool | headphonesConnected
| true if the device is currently in Private Listening mode
char | resolution [8]
| Device resolution (like "1080p") up to 7 characters.
char | macAddress [18]
| Device MAC address, 17 characters.
char | softwareVersion [10]
| Device software version, up to 9 characters.

## Detailed Description

Information about a Roku Device.

The documentation for this struct was generated from the following file:

- rokuecp.h